<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: IKernel Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_i_kernel.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">IKernel Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Common information for all the kernels.  
 <a href="classarm__compute_1_1_i_kernel.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_i_kernel_8h_source.xhtml">IKernel.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7250cb8cbaa4104a93a2d77155085507"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a7250cb8cbaa4104a93a2d77155085507">IKernel</a> ()</td></tr>
<tr class="memdesc:a7250cb8cbaa4104a93a2d77155085507"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a7250cb8cbaa4104a93a2d77155085507">More...</a><br /></td></tr>
<tr class="separator:a7250cb8cbaa4104a93a2d77155085507"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a341b60d15a5e12a5b8f3825194dd3b12"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a341b60d15a5e12a5b8f3825194dd3b12">~IKernel</a> ()=default</td></tr>
<tr class="memdesc:a341b60d15a5e12a5b8f3825194dd3b12"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a341b60d15a5e12a5b8f3825194dd3b12">More...</a><br /></td></tr>
<tr class="separator:a341b60d15a5e12a5b8f3825194dd3b12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfab8f0d4928e1081d9f65b77933e24a"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#abfab8f0d4928e1081d9f65b77933e24a">is_parallelisable</a> () const </td></tr>
<tr class="memdesc:abfab8f0d4928e1081d9f65b77933e24a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not the kernel is parallelisable.  <a href="#abfab8f0d4928e1081d9f65b77933e24a">More...</a><br /></td></tr>
<tr class="separator:abfab8f0d4928e1081d9f65b77933e24a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6daa9b04e2035bf007e5e5c3c4396a8"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#aa6daa9b04e2035bf007e5e5c3c4396a8">border_size</a> () const </td></tr>
<tr class="memdesc:aa6daa9b04e2035bf007e5e5c3c4396a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of the border for that kernel.  <a href="#aa6daa9b04e2035bf007e5e5c3c4396a8">More...</a><br /></td></tr>
<tr class="separator:aa6daa9b04e2035bf007e5e5c3c4396a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f5646133956f06348b310ccc3d36353"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a3f5646133956f06348b310ccc3d36353">window</a> () const </td></tr>
<tr class="memdesc:a3f5646133956f06348b310ccc3d36353"><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum window the kernel can be executed on.  <a href="#a3f5646133956f06348b310ccc3d36353">More...</a><br /></td></tr>
<tr class="separator:a3f5646133956f06348b310ccc3d36353"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Common information for all the kernels. </p>

<p>Definition at line <a class="el" href="_i_kernel_8h_source.xhtml#l00033">33</a> of file <a class="el" href="_i_kernel_8h_source.xhtml">IKernel.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a7250cb8cbaa4104a93a2d77155085507"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml">IKernel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>

</div>
</div>
<a class="anchor" id="a341b60d15a5e12a5b8f3825194dd3b12"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual ~<a class="el" href="classarm__compute_1_1_i_kernel.xhtml">IKernel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aa6daa9b04e2035bf007e5e5c3c4396a8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structarm__compute_1_1_border_size.xhtml">BorderSize</a> border_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The size of the border for that kernel. </p>
<dl class="section return"><dt>Returns</dt><dd>The width in number of elements of the border. </dd></dl>

<p>Reimplemented in <a class="el" href="classarm__compute_1_1_n_e_convolution_rectangle_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEConvolutionRectangleKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_edge_trace_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEEdgeTraceKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_convolution_rectangle_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLConvolutionRectangleKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionVertKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionVertKernel&lt; 5 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionVertKernel&lt; 7 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionVertKernel&lt; 9 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_edge_non_max_suppression_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEEdgeNonMaxSuppressionKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_separable_convolution_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSeparableConvolutionVertKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionHorKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionHorKernel&lt; 5 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionHorKernel&lt; 7 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionHorKernel&lt; 9 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_harris_score_f_p16_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEHarrisScoreFP16Kernel&lt; block_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel7x7VertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel5x5VertKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel5x5VertKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel7x7VertKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_separable_convolution_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSeparableConvolutionHorKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_c_l_edge_non_max_suppression_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLEdgeNonMaxSuppressionKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_l_k_tracker_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NELKTrackerKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLGaussianPyramidVertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussianPyramidVertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_harris_score_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEHarrisScoreKernel&lt; block_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_shift_exp_sum_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NELogits1DShiftExpSumKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_scharr3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLScharr3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_c_l_harris_score_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLHarrisScoreKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_fast_corners_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLFastCornersKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEConvolutionKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_scharr3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEScharr3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEConvolutionKernel&lt; 5 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEConvolutionKernel&lt; 7 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEConvolutionKernel&lt; 9 &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussian5x5VertKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_scale_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEScaleKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_convolution_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLConvolutionKernel&lt; matrix_size &gt;</a>, <a class="el" href="classarm__compute_1_1_n_e_non_maxima_suppression3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NENonMaximaSuppression3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel5x5HorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel7x7HorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_non_linear_filter_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NENonLinearFilterKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_normalization_layer_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NENormalizationLayerKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel5x5HorKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel7x7HorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_fast_corners_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEFastCornersKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_derivative_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLDerivativeKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_normalization_layer_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLNormalizationLayerKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_sobel3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_derivative_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEDerivativeKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_remap_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLRemapKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLGaussianPyramidHorKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_pooling_layer_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLPoolingLayerKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussianPyramidHorKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_pooling_layer_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEPoolingLayerKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_non_linear_filter_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLNonLinearFilterKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_scale_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLScaleKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussian5x5HorKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_non_maxima_suppression3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLNonMaximaSuppression3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_max_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NELogits1DMaxKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_box3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLBox3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_c_l_dilate_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLDilateKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_erode_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLErodeKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_gaussian3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLGaussian3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_c_l_median3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLMedian3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_c_l_warp_affine_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLWarpAffineKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_warp_perspective_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLWarpPerspectiveKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_gaussian3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussian3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_median3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEMedian3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_box3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEBox3x3Kernel</a>, <a class="el" href="classarm__compute_1_1_n_e_dilate_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEDilateKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_erode_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEErodeKernel</a>, and <a class="el" href="classarm__compute_1_1_n_e_integral_image_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEIntegralImageKernel</a>.</p>

</div>
</div>
<a class="anchor" id="abfab8f0d4928e1081d9f65b77933e24a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool is_parallelisable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Indicates whether or not the kernel is parallelisable. </p>
<p>If the kernel is parallelisable then the window returned by <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a3f5646133956f06348b310ccc3d36353" title="The maximum window the kernel can be executed on. ">window()</a> can be split into sub-windows which can then be run in parallel.</p>
<p>If the kernel is not parallelisable then only the window returned by <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#a3f5646133956f06348b310ccc3d36353" title="The maximum window the kernel can be executed on. ">window()</a> can be passed to run()</p>
<dl class="section return"><dt>Returns</dt><dd>True if the kernel is parallelisable </dd></dl>

<p>Reimplemented in <a class="el" href="classarm__compute_1_1_n_e_edge_trace_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEEdgeTraceKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_histogram_border_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEHistogramBorderKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_min_max_location_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEMinMaxLocationKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_channel_combine_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEChannelCombineKernel</a>, <a class="el" href="classarm__compute_1_1_c_l_fill_border_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">CLFillBorderKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_cumulative_distribution_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NECumulativeDistributionKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_fill_array_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEFillArrayKernel</a>, <a class="el" href="classarm__compute_1_1_n_e_h_o_g_non_maxima_suppression_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEHOGNonMaximaSuppressionKernel</a>, <a class="el" href="classarm__compute_1_1_c_p_p_sort_euclidean_distance_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">CPPSortEuclideanDistanceKernel</a>, and <a class="el" href="classarm__compute_1_1_n_e_integral_image_kernel.xhtml#a4370ae5fda7bd455a171fc8ed4d3f283">NEIntegralImageKernel</a>.</p>

</div>
</div>
<a class="anchor" id="a3f5646133956f06348b310ccc3d36353"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classarm__compute_1_1_window.xhtml">Window</a>&amp; window </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The maximum window the kernel can be executed on. </p>
<dl class="section return"><dt>Returns</dt><dd>The maximum window the kernel can be executed on. </dd></dl>

<p>Referenced by <a class="el" href="_i_c_l_kernel_8h_source.xhtml#l00096">ICLKernel::add_argument()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_i_kernel_8h_source.xhtml">IKernel.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_i_kernel.xhtml">IKernel</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
